apiVersion: apps/v1
kind: DaemonSet
metadata:
  annotations:
    deprecated.daemonset.template.generation: "2"
  creationTimestamp: "2022-10-18T06:07:56Z"
  generation: 2
  labels:
    component: collector
    logging-infra: collector
    provider: openshift
  name: collector
  namespace: openshift-logging
  ownerReferences:
  - apiVersion: logging.openshift.io/v1
    controller: true
    kind: ClusterLogging
    name: instance
    uid: 5862fcdc-74c1-4e52-83da-d8acba53384b
  resourceVersion: "208131"
  uid: b6265c94-8662-49e9-a0ea-187323e81a58
spec:
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      component: collector
      logging-infra: collector
      provider: openshift
  template:
    metadata:
      annotations:
        scheduler.alpha.kubernetes.io/critical-pod: ""
        target.workload.openshift.io/management: '{"effect": "PreferredDuringScheduling"}'
      creationTimestamp: null
      labels:
        component: collector
        logging-infra: collector
        provider: openshift
      name: collector
    spec:
      containers:
      - env:
        - name: COLLECTOR_CONF_HASH
          value: e3ba60fea3f75494b343a34c6093d3be
        - name: TRUSTED_CA_HASH
          value: 2ebb7ccd7aa7bead6579844ec442d938
        - name: K8S_NODE_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: spec.nodeName
        - name: NODE_IPV4
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: status.hostIP
        - name: OPENSHIFT_CLUSTER_ID
          value: 5713de77-74b2-4e1c-818b-5894db8a3d51
        - name: POD_IP
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: status.podIP
        - name: POD_IPS
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: status.podIPs
        - name: NODE_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: spec.nodeName
        - name: RUBY_GC_HEAP_OLDOBJECT_LIMIT_FACTOR
          value: "0.9"
        - name: OPENSSL_CONF
          value: /etc/fluent/configs.d/user/openssl.cnf
        image: registry.redhat.io/openshift-logging/fluentd-rhel8@sha256:0a0a9f59e726bf2ba28aa85e245ff34322125ba2a72d102df2416df4f740fbe2
        imagePullPolicy: IfNotPresent
        name: collector
        ports:
        - containerPort: 24231
          name: metrics
          protocol: TCP
        resources:
          limits:
            memory: 736Mi
          requests:
            cpu: 100m
            memory: 736Mi
        securityContext:
          allowPrivilegeEscalation: false
          readOnlyRootFilesystem: true
          seLinuxOptions:
            type: spc_t
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /var/log/containers
          name: varlogcontainers
          readOnly: true
        - mountPath: /var/log/pods
          name: varlogpods
          readOnly: true
        - mountPath: /var/log/journal
          name: varlogjournal
          readOnly: true
        - mountPath: /var/log/audit
          name: varlogaudit
          readOnly: true
        - mountPath: /var/log/ovn
          name: varlogovn
          readOnly: true
        - mountPath: /var/log/oauth-apiserver
          name: varlogoauthapiserver
          readOnly: true
        - mountPath: /var/log/openshift-apiserver
          name: varlogopenshiftapiserver
          readOnly: true
        - mountPath: /var/log/kube-apiserver
          name: varlogkubeapiserver
          readOnly: true
        - mountPath: /etc/collector/metrics
          name: collector-metrics
          readOnly: true
        - mountPath: /tmp
          name: tmp
        - mountPath: /etc/pki/ca-trust/extracted/pem/
          name: collector-trusted-ca-bundle
          readOnly: true
        - mountPath: /etc/fluent/keys
          name: certs
          readOnly: true
        - mountPath: /etc/fluent/configs.d/user
          name: config
          readOnly: true
        - mountPath: /var/lib/fluentd
          name: datadir
        - mountPath: /opt/app-root/src/run.sh
          name: entrypoint
          readOnly: true
          subPath: run.sh
      - args:
        - -c
        - /usr/local/bin/log-file-metric-exporter -verbosity=2 -dir=/var/log/pods
          -http=:2112 -keyFile=/etc/collector/metrics/tls.key -crtFile=/etc/collector/metrics/tls.crt
        command:
        - /bin/bash
        image: registry.redhat.io/openshift-logging/log-file-metric-exporter-rhel8@sha256:18b94750c215da198605d23891220d4c684da319042eb65d42628e9562839dd4
        imagePullPolicy: IfNotPresent
        name: logfilesmetricexporter
        ports:
        - containerPort: 2112
          name: logfile-metrics
          protocol: TCP
        resources: {}
        securityContext:
          allowPrivilegeEscalation: false
          readOnlyRootFilesystem: true
          seLinuxOptions:
            type: spc_t
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /var/log/containers
          name: varlogcontainers
          readOnly: true
        - mountPath: /var/log/pods
          name: varlogpods
          readOnly: true
        - mountPath: /etc/collector/metrics
          name: collector-metrics
          readOnly: true
      dnsPolicy: ClusterFirst
      nodeSelector:
        kubernetes.io/os: linux
      priorityClassName: cluster-logging
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccount: logcollector
      serviceAccountName: logcollector
      terminationGracePeriodSeconds: 10
      tolerations:
      - effect: NoSchedule
        key: node-role.kubernetes.io/master
        operator: Exists
      - effect: NoSchedule
        key: node.kubernetes.io/disk-pressure
        operator: Exists
      volumes:
      - hostPath:
          path: /var/log/containers
          type: ""
        name: varlogcontainers
      - hostPath:
          path: /var/log/pods
          type: ""
        name: varlogpods
      - hostPath:
          path: /var/log/journal
          type: ""
        name: varlogjournal
      - hostPath:
          path: /var/log/audit
          type: ""
        name: varlogaudit
      - hostPath:
          path: /var/log/ovn
          type: ""
        name: varlogovn
      - hostPath:
          path: /var/log/oauth-apiserver
          type: ""
        name: varlogoauthapiserver
      - hostPath:
          path: /var/log/openshift-apiserver
          type: ""
        name: varlogopenshiftapiserver
      - hostPath:
          path: /var/log/kube-apiserver
          type: ""
        name: varlogkubeapiserver
      - name: collector-metrics
        secret:
          defaultMode: 420
          secretName: collector-metrics
      - emptyDir:
          medium: Memory
        name: tmp
      - configMap:
          defaultMode: 420
          items:
          - key: ca-bundle.crt
            path: tls-ca-bundle.pem
          name: collector-trusted-ca-bundle
        name: collector-trusted-ca-bundle
      - name: certs
        secret:
          defaultMode: 420
          optional: true
          secretName: collector
      - configMap:
          defaultMode: 420
          name: collector
        name: config
      - hostPath:
          path: /var/lib/fluentd
          type: ""
        name: datadir
      - configMap:
          defaultMode: 420
          name: collector
        name: entrypoint
  updateStrategy:
    rollingUpdate:
      maxSurge: 0
      maxUnavailable: 100%
    type: RollingUpdate
status:
  currentNumberScheduled: 0
  desiredNumberScheduled: 0
  numberMisscheduled: 0
  numberReady: 0
